|  | overview |  | wiki |  | api reference |  | download

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented class members with links to the class documentation for each member:

### - r -

- r : gameplay::SpriteBatch::SpriteVertex
- RadioButton() : gameplay::RadioButton
- radius : gameplay::BoundingSphere
- Ray() : gameplay::Ray
- rayTest() : gameplay::PhysicsController
- read() : gameplay::Stream
- readAll() : gameplay::FileSystem
- readLine() : gameplay::Stream
- Rectangle() : gameplay::Rectangle
- Ref() : gameplay::Ref
- registerClass() : gameplay::ScriptUtil
- registerClonedAnimation() : gameplay::NodeCloneContext
- registerClonedNode() : gameplay::NodeCloneContext
- registerConstantBool() : gameplay::ScriptUtil
- registerConstantNumber() : gameplay::ScriptUtil
- registerConstantString() : gameplay::ScriptUtil
- registerCustomControl() : gameplay::ControlFactory
- registerEnumValue() : gameplay::ScriptUtil
- registerEvents() : gameplay::ScriptTarget
- registerFunction() : gameplay::ScriptUtil
- registerGesture() : gameplay::Game
- registerLibrary() : gameplay::ScriptUtil
- registry : gameplay::ScriptTarget::RegistryEntry
- RegistryEntry() : gameplay::ScriptTarget::RegistryEntry
- release() : gameplay::Ref
- RELEASE : gameplay::Control::Listener
- reload() : gameplay::Script
- remove() : gameplay::Node
- removeAllChildren() : gameplay::Node
- removeAllNodes() : gameplay::Scene
- removeBeginListener() : gameplay::AnimationClip
- removeChannel() : gameplay::AnimationTarget
- removeChild() : gameplay::Node
- removeCollisionListener() : gameplay::PhysicsCollisionObject
- removeControl() : gameplay::Container
- removeEndListener() : gameplay::AnimationClip
- removeListener() : gameplay::AnimationClip , gameplay::Camera , gameplay::Control , gameplay::Transform
- removeNode() : gameplay::Scene
- removeParameter() : gameplay::RenderState
- removeScript() : gameplay::ScriptTarget
- removeScriptCallback() : gameplay::ScriptTarget
- removeState() : gameplay::AIStateMachine
- removeStatusListener() : gameplay::PhysicsController
- render() : gameplay::Game
- renderOnce() : gameplay::Game
- RenderState() : gameplay::RenderState
- REPEAT_INDEFINITE : gameplay::AnimationClip
- reset() : gameplay::Scene , gameplay::PhysicsVehicle
- resetProjectionMatrix() : gameplay::Camera
- resetVelocityState() : gameplay::PhysicsCharacter
- resizeEvent() : gameplay::Game
- resizeEventInternal() : gameplay::Platform
- resolveAutoBinding() : gameplay::RenderState::AutoBindingResolver
- resolvePath() : gameplay::FileSystem
- restitution : gameplay::PhysicsRigidBody::Parameters
- resume() : gameplay::AudioSource , gameplay::Game
- resumeTransformChanged() : gameplay::Transform
- rewind() : gameplay::Properties , gameplay::Stream , gameplay::AudioSource
- right() : gameplay::Rectangle , gameplay::Theme::SideRegions
- RIGHT_CLICK : gameplay::Control::Listener
- RIGID_BODY : gameplay::PhysicsCollisionObject
- rotate() : gameplay::Transform , gameplay::PhysicsCharacter , gameplay::Matrix , gameplay::Vector2 , gameplay::Transform , gameplay::Matrix , gameplay::Transform
- rotateX() : gameplay::Transform , gameplay::Matrix
- rotateY() : gameplay::Matrix , gameplay::Transform
- rotateZ() : gameplay::Transform , gameplay::Matrix
- run() : gameplay::ScreenDisplayer , gameplay::Game

All Classes Functions Variables Typedefs Enumerations Enumerator